Bug 443824 - Emulate3Buttons doesn't work
Emulate3Buttons doesn't work
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-23 11:27 EDT by derrien
Modified: 2009-11-28 05:27 EST (History)
7 users (show)

See Also:
Fixed In Version: 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-17 20:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/Xorg.0.log (33.67 KB, text/plain)
2008-04-23 11:27 EDT, derrien
no flags Details
/var/log/Xorg.0.log after restarting without an xorg.conf file (37.68 KB, text/plain)
2008-05-18 14:03 EDT, Steve Tyler
no flags Details

  None (edit)
Description derrien 2008-04-23 11:27:04 EDT
Description of problem:

On a Dell Latitude D610 we have in /var/log/Xorg.0.log :

(II) <default pointer>: Setting Device option to "/dev/input/mice"
(--) <default pointer>: Device: "/dev/input/mice"
(==) <default pointer>: Protocol: "Auto"
(**) Option "CorePointer"
(**) <default pointer>: always reports core events
(==) <default pointer>: Emulate3Buttons, Emulate3Timeout: 50
(**) <default pointer>: ZAxisMapping: buttons 4 and 5

but Emulate3Buttons doesn't work with the mouse (USB mouse or stick pointer)
NB: It works with the Touchpad

Version-Release number of selected component (if applicable):

X.Org X Server (1.5.0 RC1)
Comment 1 derrien 2008-04-23 11:27:04 EDT
Created attachment 303513 [details]
Comment 2 Olen 2008-04-30 23:40:50 EDT
The 3 button emulation is broken on a PS/2 two button mouse also.
I read the documentaton/release notes, and my xorg.conf is like they say, no
mouse section, so its autdetecting, but the notes don't provide any direction on
making the driver turn on 3 button emulation.   Does anyone have any idea on how
the use can get some control over this autodetection process?
Comment 3 Bug Zapper 2008-05-14 06:01:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Steve Tyler 2008-05-18 13:52:26 EDT
Three button emulation worked with Fedora 8 and stopped working with Fedora 9.
Version: xorg-x11-drv-mouse-1.3.0-2.fc9.i386

Reproduce by attaching a Logitech USB trackball with two buttons.
Rename xorg.conf so that default settings are configured.
Restart X/Gnome.
Xorg.0.log says:
(==) <default pointer>: Emulate3Buttons, Emulate3Timeout: 50

Start xev.
Left click generates a button 1 event and right click generates a button 3
event.  Left and right button click together generates a button 1 event and a
button 3 event instead of a button 2 event.

Comment 5 Steve Tyler 2008-05-18 14:03:51 EDT
Created attachment 305867 [details]
/var/log/Xorg.0.log after restarting without an xorg.conf file
Comment 6 Phil Moors 2008-06-04 11:30:26 EDT
I have the same problem and am adding myself to the cc list. Let me know if you
want more information.
Comment 7 Phil Moors 2008-06-04 11:35:38 EDT
I have the same problem and am adding myself to the cc list. Let me know if you
want more info.
Comment 8 Peter Åstrand 2008-06-05 08:35:53 EDT
Same problem on Dell D610. The three button emulation works for the two buttons
close to the ALPS GlidePoint, but not for those close to the trackpoint. 

I miss system-config-mouse. 
Comment 9 Peter Hutterer 2008-07-17 20:44:08 EDT
In F9, input devices are hotplugged with the evdev driver. The list of devices
is provided by HAL, and any device using evdev will not send to /dev/input/mice.
If a InputDevice is configured for /dev/input/mice, it won't generate any event
if all mice are hotplugged through HAL. This usually looks like the
configuration is ignored or lost.

The two options to fix this is:
- Add Option "AutoAddDevices" "off" to the ServerLayout. This disables input
device hotplugging alltogether and prevents evdev from taking over.
- Change the InputDevice section to use evdev as driver and specify the device
file as /dev/input/by-id/... or /dev/input/by-path/... /dev/input/event0 is
valid too, but those numbers may change on reboot.
If you choose this option, you may have to specify multiple InputDevice sections
since evdev does not have an equivalent to /dev/input/mice.

Beware that some options that are supported in the mouse driver may not be
available in the evdev driver. This was the case with emulate3buttons.

Fixed with evdev 2.0, or by adding AutoAddDevices off.

Note You need to log in before you can comment on or make changes to this bug.